::selection {
    background-color: white;
    color: green;
}

body {
    margin: 0;
    box-sizing: border-box;
    background-color: green;
    background-image: url('grass.avif');
    overflow: hidden;
    font-family: 'Times New Roman', Times, serif;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
body::-webkit-scrollbar {
    display: none;
    background-color: green;
}

h2 {
    font-weight: 100;
    margin-bottom: 10px;
}

#about {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    background-color: green;
    width: 500px;
    height: fit-content;
    z-index: 1500;
    color: white;
    padding: 100px 60px 40px 40px;
    justify-content: center;
    box-sizing: border-box;
    user-select: none;
    /*align-items: center;
    text-align: center;*/
}

#about p {
    width: 400px;
}

#open-about {
    position: fixed;
    top: 15px;
    left: 15px;
    font-size: 16px;
    border: 1px solid gray;
    color: gray;
    padding: 10px 10px;
    border-radius: 3px;
    background: white;
    font-family: 'Times New Roman', Times, serif;
    cursor: pointer;
    z-index: 1000;
}

#close-about {
    position: fixed;
    top: 20px;
    left: 20px;
    cursor: pointer;
    z-index: 2000;
}

/* SKY */
#sky {
    position: absolute;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 100;
    pointer-events: none !important;
}

.cloud {
    position: absolute;
    opacity: 0.3;
    width: 400px;
    animation: clouds 70s linear forwards;
    filter: blur(20px);
    pointer-events: none !important;
}

@keyframes clouds {
    from {
        transform: translate(-45vw);
    }

    to {
        transform: translate(200vw);
    }
}

/*GRASSY FIELD*/
#feed {
    position: fixed;
    top: 0;
    left: 0;
    color: white;
}

.caption {
    color: white;
    position: absolute;
    animation: disappear 5s forwards;
    white-space: nowrap;
    transition: opacity 0.5s ease;
    opacity: 0;
    cursor: pointer;
    filter: drop-shadow(0 0 5px rgba(255, 255, 255, 0.5)) drop-shadow(0 0 8px rgba(255, 255, 255, 0.5));
    font-size: 20px;
    user-select: none;
    text-align: center;
}

@keyframes disappear {
    0% {
        opacity: 0;
    }

    10% {
        opacity: 1;
    }

    100% {
        opacity: 1;
    }
}

#grass {
    width: 100vw;
    height: 100vh;
    font-size: 30px;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0;
    font-weight: 100;
    user-select: none;
}

@media (max-width: 650px) {
    #about {
        width: 100vw;
        height: 100vh;
        overflow-y: scroll !important;
        overflow-x: none;
        padding-bottom: 100px;
    }

    #about p {
        width: 100%;
    }
}